var path = require('path');
var webpack = require('webpack');

module.exports = {
	entry: [
		__dirname + '/src/single-spa.js',
	],
	output: {
		path: __dirname + '/lib',
		filename: 'single-spa.js',
		library: 'singleSpa',
		libraryTarget: 'umd',
		umdNamedDefine: true,
	},
	devtool: 'source-map',
	resolve: {
		modules: [
			"node_modules",
			path.resolve(__dirname),
		],
	},
	module: {
		loaders: [
			{
				test: /\.js$/,
				exclude: /(node_modules|bower_components)/,
				loader: 'babel-loader',
			},
		],
	},
	plugins: [
		new webpack.optimize.UglifyJsPlugin({
			compress: true,
			test: /\.js($|\?)/i,
		}),
	],
}
